Subject: Re: [Uri-review] [uri-review] Review Request for Icon URI Scheme

From: Alfred Hönes <[email-masked]>
Date: Thu, 15 Apr 2010 22:59:03 +0200 (MESZ)

Ira McDonald wrote:

> For the 'file:' URI scheme, RFC 1738 *is* the correct normative reference.
>
> Note that RFC 1738 is NOT obsoleted but is only updated by RFC 3986
> - its current status is Proposed Standard, according to the RFC Index at:
>
>   http://www.ietf.org/download/rfc-index.txt

No -- please pay attention!
The rfc-index.txt file does *not* show the current status.
The "status" shown there does _not_ change when a RFC is obsoleted.
RFC 1738 is no more listed in rfcxx00.txt (or its html version).

So yes, RFC 1738 _is_ formally Obsoleted by RFC 4248 and RFC 4266 so far;
RFC-to-be 5538 -- still in AUTH48 -- will again Obsolete RFC 1738
(for details, see  <http://www.RFC-Editor.ORG/auth48/rfc5538> ).

Avoiding Normative References to 1738 if possible seems the best strategy.

After the publication of RFC 5538, there will still remain two open
'gaps' due to the obsolescence: the 'ftp' and 'file' URI schemes are
left without a current, non-obsoleted specification.

I'm already working on a new draft for the 'ftp' URI scheme.
The -00 should be out soon, most likely early in May.

> The ABNF for the 'file:' URI scheme is only specified in RFC 1738 (and a
> 5-year-old expired ID by Paul Hoffman).
>
> The 'file:' URI scheme is ubiquitously supported (*not* in an interoperable
> fashion) by web browsers and operating systems.  The lack of a modern
> reference RFC is a sore point for many standards developers.
>
> Cheers,
> - Ira

Any author taking on the 'file' URI scheme project would be welcome.
(Apps AD Alexey Melnikov has encouraged me for the 'ftp' URI scheme
work, and he's well aware of the other gap!)

Kind regards,
  Alfred.

-- 

+------------------------+--------------------------------------------+
| TR-Sys Alfred Hoenes   |  Alfred Hoenes   Dipl.-Math., Dipl.-Phys.  |
| Gerlinger Strasse 12   |  Phone: (+49)7156/9635-0, Fax: -18         |
| D-71254  Ditzingen     |  E-Mail:  [email-masked]                     |
+------------------------+--------------------------------------------+

---

From: Pierre-Antoine LaFayette <[email-masked]>
Date: Sun, 25 Apr 2010 20:41:08 -0400

I've updated
http://draft-icon-uri-scheme.googlecode.com/hg/draft-lafayette-icon-uri-scheme-00.html
to
not use RFC 1738.

On another note, how do I resolve the following warning?

*idnits 2.12.02*
*
*
*draft-lafayette-icon-uri-scheme-00.txt:*
*
*
*  Checking boilerplate required by RFC 5378 and the IETF Trust (see*
*  http://trustee.ietf.org/license-info):*
*
  ----------------------------------------------------------------------------
*
*
*
*  == You're using the IETF Trust Provisions' Section 6.b License Notice
from 12*
*     Sep 2009 rather than the newer Notice from 28 Dec 2009.  (See*
*     http://trustee.ietf.org/license-info/)*

I'm using xml2rfc to generate the documents from
http://draft-icon-uri-scheme.googlecode.com/hg/draft-lafayette-icon-uri-scheme.xml
.

Thanks.

On 15 April 2010 16:59, Alfred HÎnes <[email-masked]> wrote:

> _______________________________________________
> Uri-review mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/uri-review
>

-- 
Pierre.

---

From: Julian Reschke <[email-masked]>
Date: Mon, 26 Apr 2010 09:45:21 +0200

On 26.04.2010 02:41, Pierre-Antoine LaFayette wrote:
> I've updated
> http://draft-icon-uri-scheme.googlecode.com/hg/draft-lafayette-icon-uri-scheme-00.html to
> not use RFC 1738.
>
> /idnits 2.12.02/
> /
> /
> /draft-lafayette-icon-uri-scheme-00.txt:/
> /
> /
> /  Checking boilerplate required by RFC 5378 and the IETF Trust (see/
> / http://trustee.ietf.org/license-info):/
> /  ----------------------------------------------------------------------------/
> /
> /
> /  == You're using the IETF Trust Provisions' Section 6.b License Notice
> from 12/
> /     Sep 2009 rather than the newer Notice from 28 Dec 2009.  (See/
> / http://trustee.ietf.org/license-info/)/
>
> http://draft-icon-uri-scheme.googlecode.com/hg/draft-lafayette-icon-uri-scheme.xml.

Which version of xml2rfc.tcl are you using. The one that was released on 
March 31 (1.35) should generate the up-to-date boilerplate...

Best regards, Julian

---

From: Pierre-Antoine LaFayette <[email-masked]>
Date: Mon, 26 Apr 2010 08:00:20 -0400

Hmm. I was using v1.35pre1; thought it was the latest. The update fixed it.

Thanks.

On 26 April 2010 03:45, Julian Reschke <[email-masked]> wrote:

>> http://draft-icon-uri-scheme.googlecode.com/hg/draft-lafayette-icon-uri-scheme-00.htmlto
>> not use RFC 1738.
>>
>>  ----------------------------------------------------------------------------/
>> /
>> /

-- 
Pierre.